package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;


import java.util.ArrayList;
import java.util.List;

public class StepsInfoBean implements Parcelable {

    private String sort = ""; //
    private String node_code = ""; //
    private String node_name = ""; //
    public List<StepsPictureBean> picture_1 = new ArrayList<>(); //
    public List<StepsPictureBean> picture_2 = new ArrayList<>(); //
    public List<StepsPictureBean> picture_3 = new ArrayList<>(); //
    public List<StepsPictureBean> func_points = new ArrayList<>(); //
    public List<StepsPictureBean> facade_points = new ArrayList<>(); //
    public List<StepsPictureBean> spare_picture_1 = new ArrayList<>(); //
    public List<StepsPictureBean> spare_picture_2 = new ArrayList<>(); //
    public List<StepsPictureBean> pack_points = new ArrayList<>(); //

    public StepsInfoBean(){

    }

    protected StepsInfoBean(Parcel in) {
        sort = in.readString();
        node_code = in.readString();
        node_name = in.readString();
        picture_1 = in.createTypedArrayList(StepsPictureBean.CREATOR);
        picture_2 = in.createTypedArrayList(StepsPictureBean.CREATOR);
        picture_3 = in.createTypedArrayList(StepsPictureBean.CREATOR);
        func_points = in.createTypedArrayList(StepsPictureBean.CREATOR);
        facade_points = in.createTypedArrayList(StepsPictureBean.CREATOR);
        spare_picture_1 = in.createTypedArrayList(StepsPictureBean.CREATOR);
        spare_picture_2 = in.createTypedArrayList(StepsPictureBean.CREATOR);
        pack_points = in.createTypedArrayList(StepsPictureBean.CREATOR);
    }

    public static final Creator<StepsInfoBean> CREATOR = new Creator<StepsInfoBean>() {
        @Override
        public StepsInfoBean createFromParcel(Parcel in) {
            return new StepsInfoBean(in);
        }

        @Override
        public StepsInfoBean[] newArray(int size) {
            return new StepsInfoBean[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeString(sort);
        parcel.writeString(node_code);
        parcel.writeString(node_name);
        parcel.writeTypedList(picture_1);
        parcel.writeTypedList(picture_2);
        parcel.writeTypedList(picture_3);
        parcel.writeTypedList(func_points);
        parcel.writeTypedList(facade_points);
        parcel.writeTypedList(spare_picture_1);
        parcel.writeTypedList(spare_picture_2);
        parcel.writeTypedList(pack_points);
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public void setNode_code(String node_code) {
        this.node_code = node_code;
    }

    public void setNode_name(String node_name) {
        this.node_name = node_name;
    }

    public void setPicture_1(List<StepsPictureBean> picture_1) {
        this.picture_1 = picture_1;
    }

    public void setPicture_2(List<StepsPictureBean> picture_2) {
        this.picture_2 = picture_2;
    }

    public void setPicture_3(List<StepsPictureBean> picture_3) {
        this.picture_3 = picture_3;
    }

    public void setFunc_points(List<StepsPictureBean> func_points) {
        this.func_points = func_points;
    }

    public void setFacade_points(List<StepsPictureBean> facade_points) {
        this.facade_points = facade_points;
    }

    public void setSpare_picture_1(List<StepsPictureBean> spare_picture_1) {
        this.spare_picture_1 = spare_picture_1;
    }

    public void setSpare_picture_2(List<StepsPictureBean> spare_picture_2) {
        this.spare_picture_2 = spare_picture_2;
    }

    public void setPack_points(List<StepsPictureBean> pack_points) {
        this.pack_points = pack_points;
    }

    public String getSort() {
        return sort;
    }

    public String getNodeCode() {
        return node_code;
    }

    public String getNodeName() {
        return node_name;
    }

    public List<StepsPictureBean> getPicture_1() {
        return picture_1;
    }

    public List<StepsPictureBean> getPicture_2() {
        return picture_2;
    }

    public List<StepsPictureBean> getPicture_3() {
        return picture_3;
    }

    public List<StepsPictureBean> getFunc_points() {
        return func_points;
    }

    public List<StepsPictureBean> getFacade_points() {
        return facade_points;
    }

    public List<StepsPictureBean> getSpare_picture_1() {
        return spare_picture_1;
    }

    public List<StepsPictureBean> getSpare_picture_2() {
        return spare_picture_2;
    }

    public List<StepsPictureBean> getPack_points() {
        return pack_points;
    }
}
